Bug 748887 - (CVE-2010-4726) CVE-2010-4726 php-Smarty: Unspecified vulnerability in math plug-in in Smarty 3.0.0 before RC1
CVE-2010-4726 php-Smarty: Unspecified vulnerability in math plug-in in Smarty...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20100417,reported=2...
: Security
Depends On: 748909 748910 748911
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 10:18 EDT by Jan Lieskovsky
Modified: 2015-08-22 11:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Smarty r3555 SVN repository upstream patch (767 bytes, patch)
2011-10-25 10:21 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-10-25 10:18:08 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4726 to
the following vulnerability:

Unspecified vulnerability in the math plugin in Smarty before 3.0.0 RC1 has unknown impact and remote attack vectors. NOTE: this might overlap CVE-2009-1669. 

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4726
[2] http://smarty-php.googlecode.com/svn/trunk/distribution/change_log.txt
Comment 1 Jan Lieskovsky 2011-10-25 10:20:42 EDT
Relevant Smarty Changelog [2] entry:

=====  RC1 =====
..
17/04/2010
- security fix in {math} plugin

and related SVN log record:

r3555 | Uwe.Tews | 2010-04-17 12:24:44 +0200 (Sat, 17 Apr 2010) | 2 lines

- security fix in {math} plugin
Comment 2 Jan Lieskovsky 2011-10-25 10:21:37 EDT
Created attachment 530103 [details]
Smarty r3555 SVN repository upstream patch
Comment 3 Jan Lieskovsky 2011-10-25 10:22:41 EDT
This issue affects the versions of the php-Smarty package, as shipped with Fedora release of 14 and 15. Please schedule an update.

--

This issue affects the versions of the php-Smarty package, as present within Fedora EPEL 5 and Fedora EPEL 6 repositories. Please schedule an update.
Comment 4 Jan Lieskovsky 2011-10-25 10:42:07 EDT
Created php-Smarty tracking bugs for this issue

Affects: fedora-all [bug 748909]
Affects: epel-6 [bug 748910]
Affects: epel-5 [bug 748911]
Comment 5 Jon Ciesla 2011-10-27 14:36:27 EDT
I have a patched version ready, waiting on resolution to 748773.

Note You need to log in before you can comment on or make changes to this bug.